  //     	\\
 //    DkN 	 \\
// 		   	  \\

textures/dkn/glass_clear

{
	qer_editorimage textures/null_beach/chrome_metal.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
	{
		map textures/null_beach/chrome_metal.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/dkn/camera
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/dkn/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/common/watercaulk

{
	surfaceParm noMarks
	surfaceParm noLightmap
	surfaceParm noDraw
	surfaceParm noDamage
	surfaceParm water
}

textures/dkn/water

{
	qer_editorimage "textures/dkn/water.jpg"
	q3map_lightImage "textures/dkn/water.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/dkn/water.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/dkn/water.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/dkn/groundicy1

{
	qer_editorimage textures/dkn/groundicy1.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/dkn/groundicy1.tga
		tcGen environment
		tcMod scale 8 8
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/dkn/groundicy3

{ 
   qer_editorimage textures/dkn/ground4.tga
   surfaceparm nodamage
   surfaceparm slick
   
	{ 
		map textures/dkn/ground4.tga
	}
	{
		map textures/dkn/groundicy1.tga
		tcGen environment
		tcMod scale 8 8
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
    { 
		map textures/dkn/ground4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    } 
 
    { 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
		tcgen lightmap 
    } 
}

textures/dkn/ground1:q3map

{
	surfaceparm nodamage
}

textures/dkn/ground2:q3map

{
	surfaceparm nodamage
}

textures/dkn/ground3:q3map

{
	surfaceparm nodamage
}

textures/dkn/ground4

{ 
   qer_editorimage textures/dkn/ground4.tga
   surfaceparm nodamage
   
	{ 
		map textures/dkn/ground4.tga
	} 
	  
	{
		map textures/null_beach/chrome_metal.jpg
		tcGen environment
		tcMod scale 4 4
		blendFunc add
		rgbGen identity
    }
	
    { 
		map textures/dkn/ground4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    } 
 
    { 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
		tcgen lightmap 
    } 
}

textures/dkn/wall1:q3map

{
	surfaceparm nodamage
}

textures/dkn/wall2:q3map

{
	surfaceparm nodamage
}

textures/dkn/wall3:q3map

{
	surfaceparm nodamage
}

textures/dkn/wallslick1:q3map

{
	surfaceparm nodamage
	surfaceparm slick
}

textures/dkn/wallslick2:q3map

{
	surfaceparm nodamage
	surfaceparm slick
}

textures/dkn/waterfall
{
	qer_editorImage "textures/dkn/waterfall.tga"
	qer_trans 0.7
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/dkn/waterfall.tga"
		tcMod scroll 0 -0.5
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/dkn/waterfall_r
{
	qer_editorImage "textures/dkn/waterfall.tga"
	qer_trans 0.7
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/dkn/waterfall.tga"
		tcMod scroll 0 0.5
		alphaGen const 0.7
		blendFunc blend
		RGBGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}